<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<body>

<!--
    Formatted chart labels as JS array
-->
<th:block th:fragment="chartLabels(history)">
    [
    <th:block th:each="score: ${history}">
        "<th:block th:text="${#dates.format(score.date, 'dd-MM-yyyy')}"></th:block>",
    </th:block>
    ]
</th:block>

<!--
    Formatted chart values as JS array
-->
<th:block th:fragment="chartValues(history)">
    [
    <th:block th:each="score: ${history}">
        <th:block th:text="${score.score}"></th:block>,
    </th:block>
    ]
</th:block>
</body>
</html>